{% extends 'powerproduction/base.html' %}

{% load mathfilters %}

{% block title %}Power production | results{% endblock %}

{% block body %}

    <h1>Power production</h1>

    <p><a href="{% url 'index' %}">Index</a></p>

    <h2>View detailed data</h2>

    {% if sdps %}

        <table border=1 class='dataframe'>
            <tr>
                <th>Date</th>
                <th>Production (kWh)</th>
            </tr>
            {% for sdp in sdps %}
                <tr>
                    <td>
                        <a href="{% url 'result' sdp.date|date:'Ymd' %}">{{ sdp.date|date:"Y-m-d" }}</a>
                    </td>
                    <td>
                        {{ sdp.energy|div:1000|floatformat }}
                    </td>
                </tr>
            {% endfor %}
        </table>

    {% else %}

        <p><strong>No data</strong></p>

    {% endif %}

{% endblock %}